【活用ガイド】

JVNDB-2016-001706

Squid の Edge Side Includes パーサにおけるサービス運用妨害 (DoS) の脆弱性

概要

Squid の Edge Side Includes (ESI) パーサは、XML 構文解析中にバッファの制限をチェックしないため、サービス運用妨害 (表明違反およびデーモンの停止) 状態にされる脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的

影響を受けるシステム


Squid-cache.org
  • Squid 3.5.15 未満の 3.x
  • Squid 4.0.7 未満の 4.x

想定される影響

リモート HTTP サーバにより、巧妙に細工された XML ドキュメントを介して、サービス運用妨害 (表明違反およびデーモンの停止) 状態にされる可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Squid-cache.org
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 不適切な入力確認(CWE-20) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-2570
参考情報

  1. National Vulnerability Database (NVD) : CVE-2016-2570
更新履歴

[2016年03月15日]
  掲載